Re: [twsocket] Best way to upgrade ...

2013-09-19 Thread Angus Robertson - Magenta Systems Ltd
I am working on a project that was originally written in D5. And the project using a free IRC component, SlyIrc by Steve Williams, were it has used TWSocket v434 for its wsocket needs.  So, once I edit this line to correctly use the FWSocket I now get the following  hard error:

Re: [twsocket] Best way to upgrade ...

2013-09-19 Thread Angus Robertson - Magenta Systems Ltd
Can not tell you if it actually works Should have said that since you want to use XE3, you also have to undertake a Unicode conversion of the source code, since all the PChars and Strings will now become wide by default. You can trying changing them all to PAnsiChar and AnsiString, but you'll